# Superpowers Common Plugins Documentation plugin

This plugin brings a "Plugins documentation" tool to any systems of [Superpowers, the extensible HTML5 2D+3D game engine](http://superpowers-html5.com)

It lets you browse documentation exposed by any other plugins you have installed.

It works pretty much like the "Typescript API browser" tool of the `Superpowers Game` system that easily gives you acces to any plugins' Typescript API.


## Installation

[Download the latest release](https://github.com/florentpoujol/superpowers-common-pluginsdocs-plugin/releases), unzip it, rename the folder to `pluginsdocs`, move it inside `app/systems/[the system]/plugins/florentpoujol/` then restart your server.

__Advanced:__

Get it via `npm`:

    cd app/systems/[the system]/plugins
    npm install superpowers-common-pluginsdocs-plugin

The name of the vendors or plugins in the `app/systems/[the system]/plugins/` folder don't matter.  
So you can leave the plugin path as `node_modules/superpowers-common-pluginsdocs-plugin`.


## Exposing documentation from your plugin

Just have a `public/docs` folder in your plugin's folder with at least an `index.html` file in it.

Using a `manifest.json` file in the `public/docs` folder, you can set a plugin name and a vendor name and URL to be used in the navigation menu instead of the folder's names.  

Ie:

    {
      "pluginName": "dat.GUI",
      "vendorName": "Florent Poujol",
      "vendorUrl": "https://github.com/florentpoujol"
    }
